# router.h File Reference

## Detailed Description

Support classes for the pluggable socket routing system.

Definition in file router.h.

`#include "dll.h"`
`#include <stdint.h>`
`#include <map>`
`#include <tr1/memory>`
`#include <stdexcept>`
`#include <pthread.h>`
`#include "dataqueue.h"`
`#include "error.h"`
`#include "usbwrap.h"`

Include dependency graph for router.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry

## Classes

class | Barry::SocketRoutingQueue
class | Barry::SocketRoutingQueue::SocketDataHandler
class | Barry::SocketRoutingQueue::SimpleSocketDataHandler< T >
struct | Barry::SocketRoutingQueue::QueueEntry
class | Barry::DataHandle
| std::auto_ptr like class that handles pointers to Data, but instead of freeing them completely, the Data objects are turned to the SocketRoutingQueue from whence they came. More...